require "rubygems"
require "eventmachine"
require "eventmachine-tail"
require "aws-sdk"
require "yaml"
require 'time'
require "logstash_sqs/version"
require "logstash_sqs/settings_provider"
require "logstash_sqs/awssqs"
require "logstash_sqs/consumer"



module LogstashSQS

  def run
    EventMachine.run do
      files = SettingsProvider.get_files
      files.each do |params|
        Consumer.new(params['path'], -1, params) if File.file?(params['path'])
      end
    end
  end
end
